Subject: RE: [Speechsc] RTP Info

From: "Reifenrath, Klaus" <[email-masked]>
Date: Mon, 17 May 2004 12:19:06 -0400

Hi Dave,

I share your concerns, but as it is pointed out in RFC 2326 section 12.33
(RTP-Info header field of RTSP) RTCP is not sufficient to generate a mapping
from RTP timestamps to NPT. Furthermore the mapping from RTP timestamps to
NTP timestamps is only available after some time.

Therefore I think we need the RTP timestamp. The sequence number might be
superfluous. 

Regards,
Klaus

-----Original Message-----
From: David R. Oran [mailto:[email-masked]]
Sent: Montag, 17. Mai 2004 17:27
To: Reifenrath, Klaus; [email-masked]'
Subject: Re: [Speechsc] RTP Info

I certainly see how one may want to control the RTP playout positioning by 
synchronizing via an RTP timestamp, but I have grave misgivings about 
letting sequence number information leak between the media plane and the 
control plane.

The reasons are multiple:
a) RTP playout is controlled by the timestamp, not the sequence number
b) sequence numbers will be complicated to handle if FEC is in use
c) It's hard to position correctly if there are lost packets.

As far as I know, it may be best to stay away entirely from direct usage of 
RTP media state and instead synchronize only based on SSRC and NTP 
realtime. That would also allow synchronization of audio even in the 
presence of an associated video stream.

Dave.

--On Monday, May 17, 2004 10:55 AM -0400 "Reifenrath, Klaus" 
<[email-masked]> wrote:

> Hi!
>
> In version 03 an optional timestamp was added to the SPEECH-MARKER event.
> Unfortunately there was no guidance added how it has to be used and it
> does not address all issues about coordination of RTP playback. To
> overcome the various synchronisation problems between the client and the
> server with regard to the speech synthesizer resource, I suggest, to
> introduce a new header field:
>
> RTP-Info
> This field is used to set RTP-specific parameters.
> seq: Indicates the sequence number of a RTP packet.
> rtptime: Indicates the corresponding RTP timestamp.
>
> When a CONTROL to jump is issued the CONTROL response message MUST contain
> the RTP-info header to allow clients to gracefully deal with packets when
> jumping. In this case the sequence number indicates the last packet before
> the jump. The client uses this value to differentiate packets that
> originated before the jump from packets that originated after the jump.
>
> The RTP-info header MUST be part of the SPEECH-MARKER event. The sequence
> number indicates the last packet that was send before the synthesizer
> resource hit the tag in the speech markup. The RTP timestamp corresponds
> to the time when the synthesizer resource hit the tag in the speech
> markup.
>
> SPEAK-COMPLETE, STOP response and PAUSE response SHOULD set this header
> field to indicate the sequence number of the last packet that was
> initiated by the SPEAK request that was completed, stopped or paused.
> This enables the client to differentiate packets that belong to different
> SPEAK requests (if queuing is used).
>
> Making use of this header field the client can insert audio clips into the
> prompt without the need to send actual audio data with the SPEAK request
> to the server (saves bandwidth!).
>
>    Syntax:
>
>    RTP-Info        = "RTP-Info" ":" seq ";" rtptime
>    seq       	    = "seq" "=" 1*DIGIT
>    rtptime         = "rtptime" "=" 1*DIGIT
>
>
> Klaus
>
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc